%global		hash 104d4287f32da28f51efc5a451e62e4071322480
%global		shorthash %(bash -c 'c=%{hash}; echo ${c:0:7}')
%global		module enhanceio

%global		debug_package %{nil}

Name:		enhanceio-dkms
Version:	0
Release:	0.1.git%{shorthash}%{dist}
Summary:	Driver for STEC EnhanceIO SSD Caching

Group:		System Environment/Kernel
License:	GPL
URL:		https://github.com/stec-inc/EnhanceIO
Source0:	EnhanceIO-%{shorthash}.tar.gz
Patch0:		update-dest-locations.diff
Patch1:		enhanceio-makefile.diff
Patch2:		el7-kabi.diff

Provides:	enhanceio-driver

Requires:	dkms gcc kernel-devel

%description
%{summary}


%prep
%setup -n EnhanceIO-%{shorthash}
%patch0 -p1
%patch1 -p1
%if 0%{?rhel} >= 7
%patch2 -p1
%endif

%build
# noop

%install
mkdir -p %{buildroot}/usr/src
cp -a Driver/enhanceio %{buildroot}/usr/src/enhanceio-0.%{shorthash}

%post
occurrences=$(/usr/sbin/dkms status | grep "%{module}" | grep "%{version}.%{shorthash}" | wc -l)
if [ ! occurrences > 0 ];
then
    /usr/sbin/dkms add -m %{module} -v %{version}.%{shorthash}
fi
/usr/sbin/dkms build -m %{module} -v %{version}.%{shorthash}
/usr/sbin/dkms install -m %{module} -v %{version}.%{shorthash}
exit 0

%preun
/usr/sbin/dkms remove -m %{module} -v %{version}.%{shorthash} --all
exit 0


%files
/usr/src/enhanceio-0.%{shorthash}

%changelog
* Wed Jun 29 2016 RJ Bergeron <rbergeron@palantir.com>
- Initial packaging
